Bug 812767 - crash in marker_setxattr_cbk()
crash in marker_setxattr_cbk()
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
pre-release
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-16 03:52 EDT by Amar Tumballi
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:03:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-04-16 03:52:57 EDT
Description of problem:

Program terminated with signal 11, Segmentation fault.
#0  0x00007ff352c465c1 in marker_specific_setxattr_cbk (frame=0x7ff3560b7804, cookie=0x7ff3562c07b0, this=0x11edea0, op_ret=0, op_errno=0, xdata=0x0)
    at ../../../../../xlators/features/marker/src/marker.c:361
361	        if (strcmp (local->loc.path, "/") == 0) {
Missing separate debuginfos, use: debuginfo-install glibc-2.14.1-6.x86_64 libgcc-4.6.1-9.fc15.x86_64 openssl-1.0.0h-1.fc15.x86_64 zlib-1.2.5-5.fc15.x86_64
(gdb) bt
#0  0x00007ff352c465c1 in marker_specific_setxattr_cbk (frame=0x7ff3560b7804, cookie=0x7ff3562c07b0, this=0x11edea0, op_ret=0, op_errno=0, xdata=0x0)
    at ../../../../../xlators/features/marker/src/marker.c:361
#1  0x00007ff357489de6 in default_setxattr_cbk (frame=0x7ff3562c07b0, cookie=0x7ff3562c085c, this=0x11eccd0, op_ret=0, op_errno=0, xdata=0x0) at ../../../libglusterfs/src/defaults.c:293
#2  0x00007ff35307fb8a in iot_setxattr_cbk (frame=0x7ff3562c085c, cookie=0x7ff3562c0454, this=0x11eba80, op_ret=0, op_errno=0, xdata=0x0)
    at ../../../../../xlators/performance/io-threads/src/io-threads.c:1634
#3  0x00007ff357489de6 in default_setxattr_cbk (frame=0x7ff3562c0454, cookie=0x7ff3562c00f8, this=0x11ea8e0, op_ret=0, op_errno=0, xdata=0x0) at ../../../libglusterfs/src/defaults.c:293
#4  0x00007ff3534b50b4 in posix_acl_setxattr_cbk (frame=0x7ff3562c00f8, cookie=0x7ff3562c0500, this=0x11e96f0, op_ret=0, op_errno=0, xdata=0x0)
    at ../../../../../xlators/system/posix-acl/src/posix-acl.c:1802
#5  0x00007ff3536d0210 in posix_setxattr (frame=0x7ff3562c0500, this=0x11e8340, loc=0x7ff355f82ef0, dict=0x7ff355f2d97c, flags=0, xdata=0x0)
    at ../../../../../xlators/storage/posix/src/posix.c:2408
#6  0x00007ff3534b535a in posix_acl_setxattr (frame=0x7ff3562c00f8, this=0x11e96f0, loc=0x7ff355f82ef0, xattr=0x7ff355f2d97c, flags=0, xdata=0x0)
    at ../../../../../xlators/system/posix-acl/src/posix-acl.c:1821
#7  0x00007ff357491e7a in default_setxattr (frame=0x7ff3562c0454, this=0x11ea8e0, loc=0x7ff355f82ef0, dict=0x7ff355f2d97c, flags=0, xdata=0x0) at ../../../libglusterfs/src/defaults.c:898
#8  0x00007ff35307fde6 in iot_setxattr_wrapper (frame=0x7ff3562c085c, this=0x11eba80, loc=0x7ff355f82ef0, dict=0x7ff355f2d97c, flags=0, xdata=0x0)
    at ../../../../../xlators/performance/io-threads/src/io-threads.c:1643
#9  0x00007ff3574abb73 in call_resume_wind (stub=0x7ff355f82eb0) at ../../../libglusterfs/src/call-stub.c:2540
#10 0x00007ff3574b350a in call_resume (stub=0x7ff355f82eb0) at ../../../libglusterfs/src/call-stub.c:4160
#11 0x00007ff3530758df in iot_worker (data=0x12027b0) at ../../../../../xlators/performance/io-threads/src/io-threads.c:138
#12 0x0000003b61607b41 in start_thread () from /lib64/libpthread.so.0
#13 0x0000003b612e0e6d in clone () from /lib64/libc.so.6
(gdb) p local
$1 = (marker_local_t *) 0x11f7158
(gdb) p local->loc
$2 = {path = 0x0, name = 0x0, inode = 0x7ff35147207c, parent = 0x0, gfid = "\240\315nw\377BA-\226\006\262\017ă\236", <incomplete sequence \365>, pargfid = '\000' <repeats 15 times>}

Version-Release number of selected component (if applicable):
master HEAD as of 16th April, 2012

How reproducible:
2/2
Comment 1 Anand Avati 2012-04-16 14:39:20 EDT
CHANGE: http://review.gluster.com/3154 (features/marker: fix possible NULL access in strcmp()) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Amar Tumballi 2012-04-16 22:46:57 EDT
Crash doesn't happen with the patch!

Note You need to log in before you can comment on or make changes to this bug.